<template>
  <Page>
    <ActionBar title="Exo Picture">
      <NavigationButton text="Go back" android.systemIcon="ic_menu_back" @tap="goBack()"/>
    </ActionBar>
    <StackLayout>
        <Image :src="picture" />
        <Button text="Take a Picture" @tap="onTap()" />
    </StackLayout>
  </Page>
</template>

<script>
import * as camera from "nativescript-camera";


export default {
    data() {
        return {
            picture: ''
        }
    },
    methods: {
        onTap() {
            camera.takePicture({saveToGallery: false})
            .then(image => {
                this.picture = image;
            })
            .catch(err => console.error(err));
        }
    }
};
</script>

<style>
</style>
